<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>购物车</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
</head>

<body>
    <div class="container mt-5">
        <!-- 顶部导航 -->
        <div class="card shadow">
            <div class="card-header bg-primary text-white text-center">
                <h2>电脑商城</h2>
            </div>
            <div class="card-body">
                <p class="text-center">你好！<strong>${sessionScope.user.username}</strong></p>
                <c:if test="${sessionScope.user != null}">
                    <div class="d-grid gap-2 d-md-flex justify-content-md-center">
                        <a href="/computer?action=list" class="btn btn-outline-primary">电脑选购</a>
                        <c:if test="${sessionScope.user.role == 'user'}">
                            <a href="/cart?action=list" class="btn btn-outline-primary">我的购物车</a>
                            <a href="/orders?action=my" class="btn btn-outline-primary">我的订单</a>
                        </c:if>
                        <c:if test="${sessionScope.user.role == 'admin'}">
                            <a href="/user?action=list" class="btn btn-outline-primary">用户列表</a>
                            <a href="/orders?action=all" class="btn btn-outline-primary">所有订单</a>
                        </c:if>
                        <a href="/logout" class="btn btn-danger">退出</a>
                    </div>
                </c:if>
                <c:if test="${sessionScope.user == null}">
                    <p class="text-center">请登录后查看更多内容~</p>
                    <div class="d-grid gap-2 d-md-flex justify-content-md-center">
                        <a href="/register" class="btn btn-outline-primary">注册</a>
                        <a href="/login" class="btn btn-outline-primary">登录</a>
                    </div>
                </c:if>
            </div>
        </div>

        <!-- 页面标题 -->
        <h1 class="text-center text-primary mb-4">购物车</h1>

        <!-- 商品列表 -->
        <c:if test="${not empty computers}">
            <table class="table table-bordered table-striped">
                <thead class="table-primary">
                    <tr>
                        <th>ID</th>
                        <th>名称</th>
                        <th>价格</th>
                        <th>操作</th>
                    </tr>
                </thead>
                <tbody>
                    <c:forEach var="computer" items="${computers}">
                        <tr>
                            <td>${computer.id}</td>
                            <td>${computer.name}</td>
                            <td>${computer.price}</td>
                            <td>
                                <a href="/cart?action=remove&id=${computer.id}" class="btn btn-danger btn-sm">移出</a>
                            </td>
                        </tr>
                    </c:forEach>
                </tbody>
            </table>
            <hr>
            <!-- 一键下单按钮 -->
            <div class="text-center">
                <a href="/orders?action=add" class="btn btn-success btn-lg">一键下单</a>
            </div>
        </c:if>

        <!-- 空购物车提示 -->
        <c:if test="${empty computers}">
            <div class="alert alert-warning text-center" role="alert">
                购物车为空，暂无商品可下单。
            </div>
        </c:if>
    </div>
</body>

</html>
