<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>订单确认</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
</head>

<body>

    <div class="container mt-5">
        <!-- 页面标题 -->
        <div class="card shadow">
            <div class="card-header bg-primary text-white text-center">
                <h1>订单确认</h1>
            </div>
            <div class="card-body">
                <form action="/orders" method="post" class="needs-validation" novalidate>
                    <!-- 总金额 -->
                    <div class="mb-3">
                        <label for="price" class="form-label">总金额</label>
                        <input type="text" id="price" name="price" class="form-control" value="${order.totalPrice}" readonly>
                    </div>

                    <!-- 地址 -->
                    <div class="mb-3">
                        <label for="address" class="form-label">地址</label>
                        <input type="text" id="address" name="address" class="form-control" value="${order.address}" required>
                        <div class="invalid-feedback">请输入有效的地址。</div>
                    </div>

                    <!-- 商品信息 -->
                    <div class="mb-3">
                        <label for="remark" class="form-label">商品信息</label>
                        <textarea id="remark" name="remark" class="form-control" rows="5" readonly>${order.remark}</textarea>
                    </div>

                    <!-- 确认按钮 -->
                    <div class="d-grid">
                        <button type="submit" class="btn btn-success">我已确认</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>
        // 前端表单验证
        (function () {
            'use strict';
            const forms = document.querySelectorAll('.needs-validation');
            Array.from(forms).forEach(form => {
                form.addEventListener('submit', event => {
                    if (!form.checkValidity()) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        })();
    </script>
</body>

</html>
