<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>电脑商城</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
</head>

<body>
    <div class="container mt-5">
        <div class="card shadow">
            <div class="card-header bg-primary text-white text-center">
                <h2>电脑商城</h2>
            </div>
            <div class="card-body">
                <p class="text-center">你好！<strong>${sessionScope.user.username}</strong></p>

                <c:if test="${sessionScope.user != null}">
                    <div class="d-grid gap-2 d-md-flex justify-content-md-center mb-3">
                        <a href="/computer?action=list" class="btn btn-outline-primary">电脑选购</a>
                        <c:if test="${sessionScope.user.role == 'user'}">
                            <a href="/cart?action=list" class="btn btn-outline-primary">我的购物车</a>
                            <a href="/orders?action=my" class="btn btn-outline-primary">我的订单</a>
                        </c:if>

                        <c:if test="${sessionScope.user.role == 'admin'}">
                            <a href="/user?action=list" class="btn btn-outline-primary">用户列表</a>
                            <a href="/orders?action=all" class="btn btn-outline-primary">所有订单</a>
                        </c:if>
                        <a href="/logout" class="btn btn-danger">退出</a>
                    </div>
                </c:if>

                <c:if test="${sessionScope.user == null}">
                    <p class="text-center">请登录后查看更多内容~</p>
                    <div class="d-grid gap-2 d-md-flex justify-content-md-center">
                        <a href="/register" class="btn btn-outline-primary">注册</a>
                        <a href="/login" class="btn btn-outline-primary">登录</a>
                    </div>
                </c:if>
            </div>
        </div>
    </div>
</body>

</html>
