<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>系统用户</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</head>

<body>
    <div class="container mt-5">
<!-- 顶部导航 -->
        <div class="card shadow">
            <div class="card-header bg-primary text-white text-center">
                <h2>电脑商城</h2>
            </div>
            <div class="card-body">
                <p class="text-center">你好！<strong>${sessionScope.user.username}</strong></p>
                <c:if test="${sessionScope.user != null}">
                    <div class="d-grid gap-2 d-md-flex justify-content-md-center">
                        <a href="/computer?action=list" class="btn btn-outline-primary">电脑选购</a>
                        <c:if test="${sessionScope.user.role == 'user'}">
                            <a href="/cart?action=list" class="btn btn-outline-primary">我的购物车</a>
                            <a href="/orders?action=my" class="btn btn-outline-primary">我的订单</a>
                        </c:if>
                        <c:if test="${sessionScope.user.role == 'admin'}">
                            <a href="/user?action=list" class="btn btn-outline-primary">用户列表</a>
                            <a href="/orders?action=all" class="btn btn-outline-primary">所有订单</a>
                        </c:if>
                        <a href="/logout" class="btn btn-danger">退出</a>
                    </div>
                </c:if>
                <c:if test="${sessionScope.user == null}">
                    <p class="text-center">请登录后查看更多内容~</p>
                    <div class="d-grid gap-2 d-md-flex justify-content-md-center">
                        <a href="/register" class="btn btn-outline-primary">注册</a>
                        <a href="/login" class="btn btn-outline-primary">登录</a>
                    </div>
                </c:if>
            </div>
        </div>

        <!-- Title Section -->
        <h1 class="mb-4">系统用户</h1>

        <!-- User Table -->
        <div class="table-responsive">
            <table class="table table-bordered table-striped">
                <thead class="thead-dark">
                    <tr>
                        <th>ID</th>
                        <th>用户名</th>
                        <th>手机号</th>
                        <th>身份标识</th>
                        <th>操作</th>
                    </tr>
                </thead>
                <tbody>
                    <c:forEach var="user" items="${userList}">
                        <tr>
                            <td>${user.id}</td>
                            <td>${user.username}</td>
                            <td>${user.phone}</td>
                            <td>${user.role}</td>
                            <td>
                                <a href="javascript:void(0)" class="btn btn-danger btn-sm">删除</a>
                            </td>
                        </tr>
                    </c:forEach>
                </tbody>
            </table>
        </div>

        <!-- Add New User Section (Optional) -->
        <!-- <a href="/adduser" class="btn btn-success btn-sm mt-3">添加新用户</a> -->

    </div>
</body>

</html>
